stages:
  - test
  - deploy

test:
  stage: test
  image: rustlang/rust:nightly
  script:
    - cargo build --verbose
    - cargo test --verbose
  allow_failure: false

deploy:
  image: ruby:2.7
  stage: deploy
  script:
    - gem install dpl
    - dpl --provider=heroku --app=reveal-gallery --api-key=$HEROKU_API_KEY --strategy=git
  only:
    - master
